Main Page Class Hierarchy Compound List File List Compound Members

# Command Class Reference

commands are normally based to CommandHandler by ASCII strings, More...

`#include <command.h>`

List of all members.

## Public Methods
const char * | Get_Keyword ()
| get the keyword of the command string
void | Set_Keyword (const wxString &a_keyword)
| set the keyword of the command string
wxString | Get_Command ()
| get the command string
bool | Set_Command (char *Format,...)
| set the command string
bool | Get_Undo ()
| is undo possible
void | Set_Undo (bool possible)
| set if undo possible
ElementList * | Get_ElementList ()
| get elements list for undo using it
void | Set_ElementList (ElementList *a_elementlist)
| set elements list for undo using it
Element * | Get_Element ()
| get element for undo using it
void | Set_Element (Element *a_element)
| set element for undo using it
Structure * | Get_Structure ()
| get structure for undo using it
void | Set_Structure (Structure *a_structure)
| set structure for undo using it
long | Get_Long ()
| get long number for undo
void | Set_Long (long a_long)
| set long number for undo
void | Set_Tool (ToolSet a_tool)
| get tool for undo using it
ToolSet | Get_Tool ()
| set tool for undo using it
long | Get_EventStamp ()
| get eventstamp for undo using it
void | Set_EventStamp (long a_long)
| set eventstamp for undo using it
wxTransformMatrix * | Get_Matrix ()
| get matrix for undo using it
void | Set_Matrix (wxTransformMatrix *_undo_trans_matrix)
| set matrix for undo using it

## Detailed Description

commands are normally based to CommandHandler by ASCII strings,

the command string is stored as Command in the commandhistory. If needed information is added to be able to undo the command. If possible the command undo is based on the eventstamp, given to the command when it was executed. E.g for a copy of primitives, the eventstamp is used to to find the elements that resulted from the copy. Those elements will have the same eventstamp as the command. Those elements will be removed to undo the command.

See also:
  BaseTool , CommandHandler

The documentation for this class was generated from the following file:

- command.h

Command class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page